commit: 883a8fcde2ae0e61193132f7964978ec003cfb01
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 21 19:01:19 2020 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Nov 21 19:01:54 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=883a8fcd
app-office/libreoffice: Enforce consistent llvm and clang
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
app-office/libreoffice/libreoffice-7.0.3.1.ebuild | 14 +++++++++++---
app-office/libreoffice/libreoffice-7.0.9999.ebuild | 14 +++++++++++---
app-office/libreoffice/libreoffice-9999.ebuild | 14 +++++++++++---
3 files changed, 33 insertions(+), 9 deletions(-)
diff --git a/app-office/libreoffice/libreoffice-7.0.3.1.ebuild
b/app-office/libreoffice/libreoffice-7.0.3.1.ebuild
index b7f883af378..75e3660ccfa 100644
--- a/app-office/libreoffice/libreoffice-7.0.3.1.ebuild
+++ b/app-office/libreoffice/libreoffice-7.0.3.1.ebuild
@@ -183,9 +183,17 @@ COMMON_DEPEND="${PYTHON_DEPS}
net-wireless/bluez
)
clang? (
- sys-devel/clang
- sys-devel/llvm
- sys-devel/lld
+ || (
+ ( sys-devel/clang:10
+ sys-devel/llvm:10
+ =sys-devel/lld-10* )
+ ( sys-devel/clang:11
+ sys-devel/llvm:11
+ =sys-devel/lld-11* )
+ ( sys-devel/clang:12
+ sys-devel/llvm:12
+ =sys-devel/lld-12* )
+ )
)
coinmp? ( sci-libs/coinor-mp )
cups? ( net-print/cups )
diff --git a/app-office/libreoffice/libreoffice-7.0.9999.ebuild
b/app-office/libreoffice/libreoffice-7.0.9999.ebuild
index 735ca0fa649..5040a3e0391 100644
--- a/app-office/libreoffice/libreoffice-7.0.9999.ebuild
+++ b/app-office/libreoffice/libreoffice-7.0.9999.ebuild
@@ -183,9 +183,17 @@ COMMON_DEPEND="${PYTHON_DEPS}
net-wireless/bluez
)
clang? (
- sys-devel/clang
- sys-devel/llvm
- sys-devel/lld
+ || (
+ ( sys-devel/clang:10
+ sys-devel/llvm:10
+ =sys-devel/lld-10* )
+ ( sys-devel/clang:11
+ sys-devel/llvm:11
+ =sys-devel/lld-11* )
+ ( sys-devel/clang:12
+ sys-devel/llvm:12
+ =sys-devel/lld-12* )
+ )
)
coinmp? ( sci-libs/coinor-mp )
cups? ( net-print/cups )
diff --git a/app-office/libreoffice/libreoffice-9999.ebuild
b/app-office/libreoffice/libreoffice-9999.ebuild
index d114626a09d..1b78e99f05f 100644
--- a/app-office/libreoffice/libreoffice-9999.ebuild
+++ b/app-office/libreoffice/libreoffice-9999.ebuild
@@ -183,9 +183,17 @@ COMMON_DEPEND="${PYTHON_DEPS}
net-wireless/bluez
)
clang? (
- sys-devel/clang
- sys-devel/llvm
- sys-devel/lld
+ || (
+ ( sys-devel/clang:10
+ sys-devel/llvm:10
+ =sys-devel/lld-10* )
+ ( sys-devel/clang:11
+ sys-devel/llvm:11
+ =sys-devel/lld-11* )
+ ( sys-devel/clang:12
+ sys-devel/llvm:12
+ =sys-devel/lld-12* )
+ )
)
coinmp? ( sci-libs/coinor-mp )
cups? ( net-print/cups )